### A free/open-source library for quantitative finance

Public Types | Public Member Functions
ExtendedBlackScholesMertonProcess Class Reference
Stochastic processes

experimental Black-Scholes-Merton stochastic process More...

`#include <ql/experimental/processes/extendedblackscholesprocess.hpp>`

Inheritance diagram for ExtendedBlackScholesMertonProcess:
[legend]

List of all members.

## Public Types

enum | Discretization { Euler, Milstein, PredictorCorrector }

## Public Member Functions

| ExtendedBlackScholesMertonProcess (const Handle< Quote > &x0, const Handle< YieldTermStructure > &dividendTS, const Handle< YieldTermStructure > &riskFreeTS, const Handle< BlackVolTermStructure > &blackVolTS, const boost::shared_ptr< discretization > &d=boost::shared_ptr< discretization >(new EulerDiscretization), Discretization evolDisc=Milstein)
Real | drift (Time t, Real x) const
Real | diffusion (Time t, Real x) const
Real | evolve (Time t0, Real x0, Time dt, Real dw) const

## Detailed Description

experimental Black-Scholes-Merton stochastic process

This class allows to choose a built-in discretization scheme

## Member Function Documentation

Real drift | ( | Time | t,
|  | Real | x
| ) |  | const`[virtual]`

Possible enhancements:
  revise extrapolation

Reimplemented from GeneralizedBlackScholesProcess.

Real diffusion | ( | Time | t,
|  | Real | x
| ) |  | const`[virtual]`

Possible enhancements:
  revise extrapolation

Reimplemented from GeneralizedBlackScholesProcess.

Real evolve | ( | Time | t0,
|  | Real | x0,
|  | Time | dt,
|  | Real | dw
| ) |  | const`[virtual]`

returns the asset value after a time interval according to the given discretization. By default, it returns

where is the expectation and the standard deviation.

Reimplemented from GeneralizedBlackScholesProcess.